<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:a="http://xmlns.jcp.org/jsf/passthrough">
<h:head>
<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1" http-equiv="X-UA-Conpatible" />
    <h:outputStylesheet library="css" name="css/bootstrap.min.css" />
	<title>User Mood</title>
	<style>
.error {
	color: red
}
</style>
</h:head>
<h:body>
<div class="container" align="center">
<div class="navbar navbar-inverse">
            <div class="navbar-brand">JSF Bootstrap</div>
        </div>
	<h1>User Mood</h1>
	<div class="row" align="center">
	<h:form id="userChoiceForm" styleClass="form-horizontal">
	<div class="form-group">
		<h:outputLabel value="Mood" />
		<h:inputText id="userMood" value="#{userMoodBackingBean.userMood}" validator="#{userMoodBackingBean.validateUserMood}"
			requiredMessage="User Mood is required" required="true"
			a:placeholder="Happy, Angry, Sad" />
		<h:message for="userMood" styleClass="error" />
		</div>
		<br></br>
		<div class="form-group">
		<h:outputLabel value="Type of Show" />
		<h:inputText id="typeOfShow" value="#{userMoodBackingBean.typeOfShow}"
			requiredMessage="Type of Show is required" required="true"
			a:placeholder="Movie, Tv Show, Video">
			<f:validator validatorId="typeOfShowValidator" />
			</h:inputText>
		<h:message for="typeOfShow" styleClass="error" />
		</div>
		<br></br>
		<!-- <h:outputLabel value="Type of Show2" /> -->
		<!-- <h:inputText id="input" value="#{userMoodBackingBean.typeOfShow}"
						a:placeholder="Movie, Tv Show, Video" /> -->
		<!-- <h:selectOneMenu>
			<f:selectItems value="#{userMoodBackingBean.typeOfShows}"></f:selectItems>
		</h:selectOneMenu> -->
		<h:commandButton value="Submit"
			action="#{userMoodBackingBean.showBasedOnMood}" />
	</h:form>
	</div>
	</div>
</h:body>
</html>